Package: org.gradle.platform.base

## [Java] Annotation Type ComponentBinaries

- org.gradle.platform.base.ComponentBinaries

- Declares the binaries that should be built for a custom ComponentSpec type. The following example demonstrates how to register a binary for a custom component type using a plugin with a ComponentBinaries annotation. Furthermore the plugin registers 'DefaultSampleBinary' as implementation for BinarySpec.

       interface SampleComponent extends ComponentSpec {}
       interface SampleBinary extends BinarySpec {}
       class DefaultSampleBinary extends BaseBinarySpec implements SampleBinary {}

       apply plugin: MyCustomBinariesPlugin

       class MyCustomBinariesPlugin extends RuleSource {
           @BinaryType
           void register(BinaryTypeBuilder builder) {
               builder.defaultImplementation(DefaultSampleBinary)
           }

           @ComponentBinaries
           void createBinariesForSampleLibrary(ModelMap binaries, SampleComponent component) {
               binaries.create("${component.name}Binary", SampleBinary)
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`